### Enumeration

# Gtk RevealerTransitionType

#### Declaration

    enum Gtk.RevealerTransitionType

#### Description [src]

These enumeration values describe the possible transitions when the child of a `GtkRevealer` widget is shown or hidden.

#### Members

Name | Description
--- | ---
`GTK_REVEALER_TRANSITION_TYPE_NONE` | No transition.
`GTK_REVEALER_TRANSITION_TYPE_CROSSFADE` | Fade in.
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT` | Slide in from the left.
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT` | Slide in from the right.
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_UP` | Slide in from the bottom.
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN` | Slide in from the top.
`GTK_REVEALER_TRANSITION_TYPE_SWING_RIGHT` | Floop in from the left.
`GTK_REVEALER_TRANSITION_TYPE_SWING_LEFT` | Floop in from the right.
`GTK_REVEALER_TRANSITION_TYPE_SWING_UP` | Floop in from the bottom.
`GTK_REVEALER_TRANSITION_TYPE_SWING_DOWN` | Floop in from the top.